Index: vendor/google/apiclient-services/src/Libraryagent/GoogleExampleLibraryagentV1Book.php
===================================================================
--- vendor/google/apiclient-services/src/Libraryagent/GoogleExampleLibraryagentV1Book.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Libraryagent/GoogleExampleLibraryagentV1Book.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,98 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Libraryagent;
+
+class GoogleExampleLibraryagentV1Book extends \Google\Model
+{
+  /**
+   * @var string
+   */
+  public $author;
+  /**
+   * @var string
+   */
+  public $name;
+  /**
+   * @var bool
+   */
+  public $read;
+  /**
+   * @var string
+   */
+  public $title;
+
+  /**
+   * @param string
+   */
+  public function setAuthor($author)
+  {
+    $this->author = $author;
+  }
+  /**
+   * @return string
+   */
+  public function getAuthor()
+  {
+    return $this->author;
+  }
+  /**
+   * @param string
+   */
+  public function setName($name)
+  {
+    $this->name = $name;
+  }
+  /**
+   * @return string
+   */
+  public function getName()
+  {
+    return $this->name;
+  }
+  /**
+   * @param bool
+   */
+  public function setRead($read)
+  {
+    $this->read = $read;
+  }
+  /**
+   * @return bool
+   */
+  public function getRead()
+  {
+    return $this->read;
+  }
+  /**
+   * @param string
+   */
+  public function setTitle($title)
+  {
+    $this->title = $title;
+  }
+  /**
+   * @return string
+   */
+  public function getTitle()
+  {
+    return $this->title;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(GoogleExampleLibraryagentV1Book::class, 'Google_Service_Libraryagent_GoogleExampleLibraryagentV1Book');
Index: vendor/google/apiclient-services/src/Libraryagent/GoogleExampleLibraryagentV1ListBooksResponse.php
===================================================================
--- vendor/google/apiclient-services/src/Libraryagent/GoogleExampleLibraryagentV1ListBooksResponse.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Libraryagent/GoogleExampleLibraryagentV1ListBooksResponse.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,61 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Libraryagent;
+
+class GoogleExampleLibraryagentV1ListBooksResponse extends \Google\Collection
+{
+  protected $collection_key = 'books';
+  protected $booksType = GoogleExampleLibraryagentV1Book::class;
+  protected $booksDataType = 'array';
+  /**
+   * @var string
+   */
+  public $nextPageToken;
+
+  /**
+   * @param GoogleExampleLibraryagentV1Book[]
+   */
+  public function setBooks($books)
+  {
+    $this->books = $books;
+  }
+  /**
+   * @return GoogleExampleLibraryagentV1Book[]
+   */
+  public function getBooks()
+  {
+    return $this->books;
+  }
+  /**
+   * @param string
+   */
+  public function setNextPageToken($nextPageToken)
+  {
+    $this->nextPageToken = $nextPageToken;
+  }
+  /**
+   * @return string
+   */
+  public function getNextPageToken()
+  {
+    return $this->nextPageToken;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(GoogleExampleLibraryagentV1ListBooksResponse::class, 'Google_Service_Libraryagent_GoogleExampleLibraryagentV1ListBooksResponse');
Index: vendor/google/apiclient-services/src/Libraryagent/GoogleExampleLibraryagentV1ListShelvesResponse.php
===================================================================
--- vendor/google/apiclient-services/src/Libraryagent/GoogleExampleLibraryagentV1ListShelvesResponse.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Libraryagent/GoogleExampleLibraryagentV1ListShelvesResponse.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,61 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Libraryagent;
+
+class GoogleExampleLibraryagentV1ListShelvesResponse extends \Google\Collection
+{
+  protected $collection_key = 'shelves';
+  /**
+   * @var string
+   */
+  public $nextPageToken;
+  protected $shelvesType = GoogleExampleLibraryagentV1Shelf::class;
+  protected $shelvesDataType = 'array';
+
+  /**
+   * @param string
+   */
+  public function setNextPageToken($nextPageToken)
+  {
+    $this->nextPageToken = $nextPageToken;
+  }
+  /**
+   * @return string
+   */
+  public function getNextPageToken()
+  {
+    return $this->nextPageToken;
+  }
+  /**
+   * @param GoogleExampleLibraryagentV1Shelf[]
+   */
+  public function setShelves($shelves)
+  {
+    $this->shelves = $shelves;
+  }
+  /**
+   * @return GoogleExampleLibraryagentV1Shelf[]
+   */
+  public function getShelves()
+  {
+    return $this->shelves;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(GoogleExampleLibraryagentV1ListShelvesResponse::class, 'Google_Service_Libraryagent_GoogleExampleLibraryagentV1ListShelvesResponse');
Index: vendor/google/apiclient-services/src/Libraryagent/GoogleExampleLibraryagentV1Shelf.php
===================================================================
--- vendor/google/apiclient-services/src/Libraryagent/GoogleExampleLibraryagentV1Shelf.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Libraryagent/GoogleExampleLibraryagentV1Shelf.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,62 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Libraryagent;
+
+class GoogleExampleLibraryagentV1Shelf extends \Google\Model
+{
+  /**
+   * @var string
+   */
+  public $name;
+  /**
+   * @var string
+   */
+  public $theme;
+
+  /**
+   * @param string
+   */
+  public function setName($name)
+  {
+    $this->name = $name;
+  }
+  /**
+   * @return string
+   */
+  public function getName()
+  {
+    return $this->name;
+  }
+  /**
+   * @param string
+   */
+  public function setTheme($theme)
+  {
+    $this->theme = $theme;
+  }
+  /**
+   * @return string
+   */
+  public function getTheme()
+  {
+    return $this->theme;
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(GoogleExampleLibraryagentV1Shelf::class, 'Google_Service_Libraryagent_GoogleExampleLibraryagentV1Shelf');
Index: vendor/google/apiclient-services/src/Libraryagent/Resource/Shelves.php
===================================================================
--- vendor/google/apiclient-services/src/Libraryagent/Resource/Shelves.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Libraryagent/Resource/Shelves.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,72 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Libraryagent\Resource;
+
+use Google\Service\Libraryagent\GoogleExampleLibraryagentV1ListShelvesResponse;
+use Google\Service\Libraryagent\GoogleExampleLibraryagentV1Shelf;
+
+/**
+ * The "shelves" collection of methods.
+ * Typical usage is:
+ *  <code>
+ *   $libraryagentService = new Google\Service\Libraryagent(...);
+ *   $shelves = $libraryagentService->shelves;
+ *  </code>
+ */
+class Shelves extends \Google\Service\Resource
+{
+  /**
+   * Gets a shelf. Returns NOT_FOUND if the shelf does not exist. (shelves.get)
+   *
+   * @param string $name Required. The name of the shelf to retrieve.
+   * @param array $optParams Optional parameters.
+   * @return GoogleExampleLibraryagentV1Shelf
+   * @throws \Google\Service\Exception
+   */
+  public function get($name, $optParams = [])
+  {
+    $params = ['name' => $name];
+    $params = array_merge($params, $optParams);
+    return $this->call('get', [$params], GoogleExampleLibraryagentV1Shelf::class);
+  }
+  /**
+   * Lists shelves. The order is unspecified but deterministic. Newly created
+   * shelves will not necessarily be added to the end of this list.
+   * (shelves.listShelves)
+   *
+   * @param array $optParams Optional parameters.
+   *
+   * @opt_param int pageSize Requested page size. Server may return fewer shelves
+   * than requested. If unspecified, server will pick an appropriate default.
+   * @opt_param string pageToken A token identifying a page of results the server
+   * should return. Typically, this is the value of
+   * ListShelvesResponse.next_page_token returned from the previous call to
+   * `ListShelves` method.
+   * @return GoogleExampleLibraryagentV1ListShelvesResponse
+   * @throws \Google\Service\Exception
+   */
+  public function listShelves($optParams = [])
+  {
+    $params = [];
+    $params = array_merge($params, $optParams);
+    return $this->call('list', [$params], GoogleExampleLibraryagentV1ListShelvesResponse::class);
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(Shelves::class, 'Google_Service_Libraryagent_Resource_Shelves');
Index: vendor/google/apiclient-services/src/Libraryagent/Resource/ShelvesBooks.php
===================================================================
--- vendor/google/apiclient-services/src/Libraryagent/Resource/ShelvesBooks.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
+++ vendor/google/apiclient-services/src/Libraryagent/Resource/ShelvesBooks.php	(revision e3d4e0a8bc0f13135f27c0b055b5c00f64a28f01)
@@ -0,0 +1,107 @@
+<?php
+/*
+ * Copyright 2014 Google Inc.
+ *
+ * Licensed under the Apache License, Version 2.0 (the "License"); you may not
+ * use this file except in compliance with the License. You may obtain a copy of
+ * the License at
+ *
+ * http://www.apache.org/licenses/LICENSE-2.0
+ *
+ * Unless required by applicable law or agreed to in writing, software
+ * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
+ * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
+ * License for the specific language governing permissions and limitations under
+ * the License.
+ */
+
+namespace Google\Service\Libraryagent\Resource;
+
+use Google\Service\Libraryagent\GoogleExampleLibraryagentV1Book;
+use Google\Service\Libraryagent\GoogleExampleLibraryagentV1ListBooksResponse;
+
+/**
+ * The "books" collection of methods.
+ * Typical usage is:
+ *  <code>
+ *   $libraryagentService = new Google\Service\Libraryagent(...);
+ *   $books = $libraryagentService->shelves_books;
+ *  </code>
+ */
+class ShelvesBooks extends \Google\Service\Resource
+{
+  /**
+   * Borrow a book from the library. Returns the book if it is borrowed
+   * successfully. Returns NOT_FOUND if the book does not exist in the library.
+   * Returns quota exceeded error if the amount of books borrowed exceeds
+   * allocation quota in any dimensions. (books.borrow)
+   *
+   * @param string $name Required. The name of the book to borrow.
+   * @param array $optParams Optional parameters.
+   * @return GoogleExampleLibraryagentV1Book
+   * @throws \Google\Service\Exception
+   */
+  public function borrow($name, $optParams = [])
+  {
+    $params = ['name' => $name];
+    $params = array_merge($params, $optParams);
+    return $this->call('borrow', [$params], GoogleExampleLibraryagentV1Book::class);
+  }
+  /**
+   * Gets a book. Returns NOT_FOUND if the book does not exist. (books.get)
+   *
+   * @param string $name Required. The name of the book to retrieve.
+   * @param array $optParams Optional parameters.
+   * @return GoogleExampleLibraryagentV1Book
+   * @throws \Google\Service\Exception
+   */
+  public function get($name, $optParams = [])
+  {
+    $params = ['name' => $name];
+    $params = array_merge($params, $optParams);
+    return $this->call('get', [$params], GoogleExampleLibraryagentV1Book::class);
+  }
+  /**
+   * Lists books in a shelf. The order is unspecified but deterministic. Newly
+   * created books will not necessarily be added to the end of this list. Returns
+   * NOT_FOUND if the shelf does not exist. (books.listShelvesBooks)
+   *
+   * @param string $parent Required. The name of the shelf whose books we'd like
+   * to list.
+   * @param array $optParams Optional parameters.
+   *
+   * @opt_param int pageSize Requested page size. Server may return fewer books
+   * than requested. If unspecified, server will pick an appropriate default.
+   * @opt_param string pageToken A token identifying a page of results the server
+   * should return. Typically, this is the value of
+   * ListBooksResponse.next_page_token. returned from the previous call to
+   * `ListBooks` method.
+   * @return GoogleExampleLibraryagentV1ListBooksResponse
+   * @throws \Google\Service\Exception
+   */
+  public function listShelvesBooks($parent, $optParams = [])
+  {
+    $params = ['parent' => $parent];
+    $params = array_merge($params, $optParams);
+    return $this->call('list', [$params], GoogleExampleLibraryagentV1ListBooksResponse::class);
+  }
+  /**
+   * Return a book to the library. Returns the book if it is returned to the
+   * library successfully. Returns error if the book does not belong to the
+   * library or the users didn't borrow before. (books.returnShelvesBooks)
+   *
+   * @param string $name Required. The name of the book to return.
+   * @param array $optParams Optional parameters.
+   * @return GoogleExampleLibraryagentV1Book
+   * @throws \Google\Service\Exception
+   */
+  public function returnShelvesBooks($name, $optParams = [])
+  {
+    $params = ['name' => $name];
+    $params = array_merge($params, $optParams);
+    return $this->call('return', [$params], GoogleExampleLibraryagentV1Book::class);
+  }
+}
+
+// Adding a class alias for backwards compatibility with the previous class name.
+class_alias(ShelvesBooks::class, 'Google_Service_Libraryagent_Resource_ShelvesBooks');
